## wireguard-go 0.0.20230223

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?=
BINDIR ?= $(PREFIX)/bin
export GO111MODULE := on

all: generate-version-and-build

MAKEFLAGS += --no-print-directory

generate-version-and-build:
	@export GIT_CEILING_DIRECTORIES="$(realpath $(CURDIR)/..)" && \
	tag="$$(git describe --dirty 2>/dev/null)" && \
	ver="$$(printf 'package main\n\nconst Version = "%s"\n' "$$tag")" && \
	[ "$$(cat version.go 2>/dev/null)" != "$$ver" ] && \
	echo "$$ver" > version.go && \
	git update-index --assume-unchanged version.go || true
	@$(MAKE) wireguard-go

wireguard-go: $(wildcard *.go) $(wildcard */*.go)
	go build -v -o "$@"

install: wireguard-go
	@install -v -d "$(DESTDIR)$(BINDIR)" && install -v -m 0755 "$<" "$(DESTDIR)$(BINDIR)/wireguard-go"

test:
	go test ./...

clean:
	rm -f wireguard-go

.PHONY: all clean test install generate-version-and-build

## wireguard-go 0.0.20220117

=== debian/changelog ===
wireguard-go (0.0.20220117-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Feb 2022 08:21:53 -0600

wireguard-go (0.0.20220117-1) unstable; urgency=medium

  * Initial release (Closes: #1004021)

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Jan 2022 07:31:49 -0600

=== debian/control ===
Source: wireguard-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-go,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang.zx2c4-go118-netip-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/wireguard-go
Vcs-Git: https://salsa.debian.org/go-team/packages/wireguard-go.git
Homepage: https://git.zx2c4.com/wireguard-go/about/
Rules-Requires-Root: no
XS-Go-Import-Path: golang.zx2c4.com/wireguard

Package: wireguard-go
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Userspace implementation of WireGuard in Go (program)
 This is a userspace implementation of WireGuard in Go.
 .
 This package contains the program for using userspace WireGuard.
 .
 Most Linux users will want the "wireguard" package instead.

Package: golang-golang.zx2c4-wireguard-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         golang-golang.zx2c4-go118-netip-dev,
         ${misc:Depends}
Description: Userspace implementation of WireGuard in Go (library)
 This is a userspace implementation of WireGuard in Go.
 .
 This package provides a library that is used by other
 programs for working with the kernel tun interface and
 related tasks.

=== debian/rules ===
#!/usr/bin/make -f

DH_GOLANG_EXCLUDES=netstack
export DH_GOLANG_EXCLUDES

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## wireguard-go 0.0.20220316

=== debian/changelog ===
wireguard-go (0.0.20220316-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:19:08 +1200

wireguard-go (0.0.20220316-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add uscan watch file
  * Update Standards-Version to 4.6.1 (no changes)
  * Drop golang-golang.zx2c4-go118-netip-dev.
    Not needed for go1.18
  * Rename binary name to wireguard-go (Closes: #1006276)
    Keep it consistent with upstream
  * Skip format test (Closes: #1017305)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 23 Aug 2022 12:04:09 +0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-go,
+               golang-go (>= 2:1.18~0),
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
-               golang-golang.zx2c4-go118-netip-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/wireguard-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/wireguard-go.git
 Homepage: https://git.zx2c4.com/wireguard-go/about/
@@ -36,7 +35,6 @@
 Depends: golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-golang-x-sys-dev,
-         golang-golang.zx2c4-go118-netip-dev,
          ${misc:Depends}
 Description: Userspace implementation of WireGuard in Go (library)
  This is a userspace implementation of WireGuard in Go.

## wireguard-go 0.0.20230223

=== debian/changelog ===
wireguard-go (0.0.20230223-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete 0002-all-use-Go-1.19-and-its-atomic-types.patch

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 Oct 2023 22:42:53 -0500

wireguard-go (0.0.20220316-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix test on armhf with Go1.21

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Sep 2023 19:50:31 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-go (>= 2:1.18~0),
+               golang-go (>= 2:1.19~0),
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := netstack

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	mv _build/bin/wireguard _build/bin/wireguard-go

## wireguard-go 0.0.20231211

=== debian/changelog ===
wireguard-go (0.0.20231211-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 01 Sep 2024 09:45:55 -0500

wireguard-go (0.0.20231211-1) unstable; urgency=medium

  * New upstream release

 -- John Goerzen <jgoerzen@complete.org>  Mon, 26 Aug 2024 06:00:25 -0500

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://git.zx2c4.com/wireguard-go \
  refs/tags/v?@ANY_VERSION@ debian
